Inspect

Create skill

Create a skill owned by the API key user. Provide either `content` (the `SKILL.md` body) or `files` (the complete file set, which must include `SKILL.md`). Creating a skill with the ID of an archived skill restores it; only its original owner or an admin can do this.

Base URL
POST
/api/public/v1/skills

Create a skill owned by the API key user. Provide either content (the SKILL.md body) or files (the complete file set, which must include SKILL.md). Creating a skill with the ID of an archived skill restores it; only its original owner or an admin can do this.

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key authentication. Use your API key as the bearer token.

Request Body

application/json
  1. body

Provide either content or files, not both.

id*Skills.SkillId

Unique kebab-case skill ID

Match^[a-z0-9-]+$
Length1 <= length <= 100
description?string
Lengthlength <= 2000
Default""
content?string

SKILL.md body. Mutually exclusive with files.

files?array<>

Complete file set including SKILL.md. Mutually exclusive with content. At most 20 files and 20 MB in total.

Itemsitems <= 20
collaborator_ids?array<>

Inspect user IDs who can also edit the skill

Default[]

Response Body

Skill created

application/json
  1. response
data*
Example Request
curl -X POST 'https://your-org.inspect.com/api/public/v1/skills' \  -H 'Content-Type: application/json' \  -d '{  "id": "string"}'
Example Response
{  "data": {    "id": "string",    "url": "http://example.com",    "description": "string",    "files": [      {        "name": "string",        "content": "string"      }    ],    "is_builtin": true,    "owner": {      "id": "string",      "name": "string",      "email": "string",      "image": "string"    },    "collaborators": [      {        "id": "string",        "name": "string",        "email": "string",        "image": "string"      }    ],    "viewer_can_edit": true,    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  }}